name: enter_farma_plus_mobile
description: EnterFarmaPlus mobile app scaffold for Flutter + Laravel API v1.
publish_to: "none"
version: 5.161.118+20260514

environment:
  sdk: ">=3.3.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  intl: any
  cupertino_icons: ^1.0.8
  dio: ^5.7.0
  flutter_riverpod: ^2.6.1
  flutter_secure_storage: ^9.2.2
  go_router: ^14.8.1
  google_fonts: ^6.2.1
  print_bluetooth_thermal: ^1.1.6
  printing: ^5.13.4
  url_launcher: ^6.3.1
  connectivity_plus: ^6.1.0
  mobile_scanner: ^5.2.3
  share_plus: ^10.1.4
  fl_chart: ^0.69.0
  firebase_core: ^3.15.2
  firebase_messaging: ^15.1.6
  sentry_flutter: ^8.0.0
  in_app_update: ^4.2.3

dev_dependencies:
  flutter_lints: ^4.0.0
  flutter_launcher_icons: ^0.14.1
  flutter_test:
    sdk: flutter
  integration_test:
    sdk: flutter

flutter:
  uses-material-design: true
  assets:
    - assets/icon/

flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/icon/app_icon.png"
  remove_alpha_ios: true
  adaptive_icon_background: "#FFFFFF"
  adaptive_icon_foreground: "assets/icon/app_icon_fg.png"
